summaryrefslogtreecommitdiff
path: root/scripts/create_xml
diff options
context:
space:
mode:
authorSamuel Thibault <sthibault@debian.org>2016-05-25 21:25:41 +0000
committerSamuel Thibault <sthibault@debian.org>2016-05-25 21:25:41 +0000
commite936cdc6c3bc9271485ec6fc765d7bdaa22b8cd8 (patch)
tree18d5f0f230f2175d200e0b18deacac01e7f14a91 /scripts/create_xml
parentf7f0cd8c19cec2c44cfe1c392ea7706b569638f6 (diff)
downloadinstallation-guide-e936cdc6c3bc9271485ec6fc765d7bdaa22b8cd8.zip
Make create_xml use original english text for fuzzy entries.
Diffstat (limited to 'scripts/create_xml')
-rwxr-xr-xscripts/create_xml14
1 files changed, 13 insertions, 1 deletions
diff --git a/scripts/create_xml b/scripts/create_xml
index 5a4ce3721..dda6705c2 100755
--- a/scripts/create_xml
+++ b/scripts/create_xml
@@ -59,7 +59,19 @@ for ORIGXML in `find $SOURCEDIR -name "*.xml"` ; do
echo "Error: error $RC while executing msgconv"
continue
fi
- po2xml $ORIGXML /tmp/tmp.po.$$ > $XML
+ msgattrib \
+ --translated \
+ --no-fuzzy \
+ --output-file="/tmp/tmp.po2.$$" \
+ "/tmp/tmp.po.$$" \
+ ;
+ RC=$?
+ if [ $RC -ne 0 ] ; then
+ RET=$RC
+ echo "Error: error $RC while executing msgattrib"
+ continue
+ fi
+ po2xml $ORIGXML /tmp/tmp.po2.$$ > $XML
RC=$?
if [ $RC -ne 0 ] ; then
RET=$RC